* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --pri-cl: #000;
  --sec-cl: #111;
  --ter-cl: #333;
  --font-cl: #ddd;
  --font-cl-fs: #f0f0f0;
  --font-link: blue;
}

body {
  background-color: var(--pri-cl);
  color: var(--font-cl);
  line-height: 1.5rem;
}

/* Headed */
header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: .5rem 1rem;
  margin-bottom: 1rem;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 50px;
  background-color: var(--sec-cl);
  z-index: 1;
}

header nav.header-nav {
  display: inherit;
}

nav.header-nav img {
  margin-left: .25rem;
}

/* Sidebar */
nav.nav-sidebar {
  display: none;
  position: fixed;
  height: 100%;
  width: 100%;
  top: 0;
  z-index: 1;
}

.nav-sidebar ul {
  width: 60%;
  background-color: var(--sec-cl);
  list-style-type: none;
}

.nav-sidebar ul {
  padding: 1rem;
}

.nav-sidebar ul div.sidebar-div {
  display: flex;
  align-items: center;
  margin: 1.5rem 0rem;
}

.nav-sidebar ul a {
  text-decoration: none;
  color: var(--font-cl);
  margin-left: .5rem;
}

.nav-sidebar div.sidebar-ovl {
  background-color: var(--pri-cl);
  width: 40%;
  opacity: .5;
}

/* Maim */
main {
  margin: 4rem 1rem;
}

/* Int Sec */

section.sec-int {
  background: var(--sec-cl);
  border-radius: 10px;
}

div.sec-int-div-one {
  height: 120px;
  position: relative;
  margin-bottom: 2rem;
}

.sec-int-div-one .flex-bg {
  display: flex;
  width: 100%;
  height: 100%;
  border-radius: 10px 10px 0 0;
}

.sec-int-div-one .ayn-img {
  position: absolute;
  top: 80px;
  left: 1rem;
  width: 70px;
  border-radius: 50%;
}

.sec-int-div-two {
  padding: 1rem;
}

.sec-int-div-two .sec-int-nav-one {
  display: flex;
  /*margin-top: .5rem;
  margin-left: -.5rem;*/
}

.sec-int-nav-one button {
  display: inherit;
  align-items: center;
  border: 1px solid var(--pri-cl);
  background: inherit;
  color: inherit;
  border-radius: 5px;
  padding: .1rem .5rem .1rem .1rem;
}

/* Resume Sec */
.res-sec {
  margin-top: 2rem;
  display: flex;
  flex-direction: column;
}

.res-sec-cnt {
  background-color: var(--sec-cl);
  padding: 1rem;
  border-radius: 10px;
}

.res-sec h3 {
  margin: 1rem 0;
}

.res-sec-cnt h4 {
  margin-bottom: 1rem;
}

.about-sec-cnt .read-ml-btn {
  background-color: inherit;
  border: none;
  color: var(--font-link);
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: .25rem
}

.read-less-btn {
  display: none;
}

.skill-sec ul {
  list-style-type: none;
  display: block;
}

.skill-sec ul li {
  display: inline-block;
  border: 1px solid var(--pri-cl);
  border-radius: 5px;
  padding: .5rem;
  margin: .32rem;
}

.resume-type-div {
  display: grid;
  grid-template-columns: 2fr 1fr;
  gap: .5rem;
}

.resume-type-hd {
  display: flex;
}

.resume-type-hd span {
  margin-left: .4rem;
}

.resume-type-hd img {
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 100%;
  margin-bottom: 2rem;
}

.loc-sec-cnt {
  position: relative;
}

.loc-sec-cnt img.map {
  display: flex;
  height: 290px;
  width: 100%;
}

.loc-sec-cnt div {
  display: block;
  width: 80%;
  background-color: var(--pri-cl);
  padding: 1rem;
  border-radius: 10px;
  position: absolute;
  top: 30px;
  left: 2rem;
}

.loc-sec-cnt span {
  display: flex;
  justify-content: space-between;
}

.loc-sec-cnt span img {
  width: 10px;
}

.follow-sec img {
  height: 20px;
  width: 20px;
  margin: .35rem;
}

.project-sec-typ {
  margin: 1rem 0;
  display: flex;
  align-items: flex-start;
}

.project-img {
  height: 50px;
}

.project-sec-typ-inf {
  margin-left: .5rem;
}

.project-sec-typ-inf span {
  display: flex;
  align-items: center;
}

.project-sec-typ-inf span p {
  margin-right: .5rem;
}

.project-sec-typ-inf span img {
  height: 20px;
}



.project-sec-typ-inf span i {
  margin-left: .5rem;
}

/* Spinner */
.spinner-wrapper {
  width: 100px;
  height: 100px;
  background: transparent;
  position: fixed;
  left: 50%;
  top: 50%;
  translate: -50% -50%;
  z-index: 100;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
}

.spinner {
  width: 60px;
  height: 60px;
  border: 3px solid var(--ter-cl);
  border-radius: 50%;
  animation: spinnerAnime 1s linear infinite;
}

@keyframes spinnerAnime {
  0%{
    border-top: 3px solid blue;
    border-bottom: 3px solid transparent;
    rotate: 0deg;
  }
  25%{
    border-right: 3px solid blue;
    border: 3px solid blue
  }
  50%{
    border-bottom: 3px solid blue;
  }
  75%{
    border-left: 3px solid blue;
    border-top: 3px solid transparent;
  }
  100%{
    border-right: 3px solid transparent;
    rotate: 360deg;
  }
}

footer {
  background: linear-gradient(180deg, var(--sec-cl), var(--pri-cl));
  padding: 2rem 1rem;
}

footer div {
  display: flex;
  align-items: center;
  justify-content: space-between;
}